Your submission was sent successfully! Close

CVE-2017-7533

Published: 03 August 2017

Race condition in the fsnotify implementation in the Linux kernel through 4.12.4 allows local users to gain privileges or cause a denial of service (memory corruption) via a crafted application that leverages simultaneous execution of the inotify_handle_event and vfs_rename functions.

From the Ubuntu security team

Fan Wu and Shixiong Zhao discovered a race condition between inotify events and vfs rename operations in the Linux kernel. An unprivileged local attacker could use this to cause a denial of service (system crash) or execute arbitrary code.

Priority

High

CVSS 3 base score: 7.0

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
Patches:
Introduced by 7053aee26a3548ebaba046ae2e52396ccf56ac6c
Fixed by 49d31c2f389acfe83417083e1208422b4091cd9e
linux-armadaxp
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
This package is not directly supported by the Ubuntu Security Team
linux-aws
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-azure
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-euclid
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-flo
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-gcp
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-gke
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-goldfish
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-grouper
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-hwe
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-hwe-edge
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-kvm
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-linaro-omap
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-linaro-shared
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-linaro-vexpress
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-lts-quantal
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
This package is not directly supported by the Ubuntu Security Team
linux-lts-raring
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-lts-saucy
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
This package is not directly supported by the Ubuntu Security Team
linux-lts-trusty
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-lts-utopic
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-lts-vivid
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-lts-wily
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-lts-xenial
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-maguro
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-mako
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-manta
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-oem
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-qcm-msm
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-raspi2
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-snapdragon
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)
linux-ti-omap4
Launchpad, Ubuntu, Debian
Upstream
Released (4.13~rc1)